{% extends 'report/insights/insights.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('report/insights/survey_result/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('report/insights/survey_result/overview') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Umfrageergebnisse</h2>
                <p>In diesem Bereich stehen Ergebnisse von Umfragen zur Analyse und zum Erkenntnisgewinn zur Verfügung.</p>
                <p>Dies können in LeAn® zentral hinterlegte oder stadtindividuelle Umfragen sein.</p>
            </div>
        </div>
        {% if surveyResults is empty %}
            <div class="mdc-card mb-4 text-center p-4">
                Aktuell stehen keine Umfrageergebnisse zur Verfügung.
            </div>
        {% else %}
            <div class="row md-4">
                {% for surveyResult in surveyResults %}
                    <div class="col-6 col-lg-4 mb-3">
                        {% include 'report/component/insights/survey_result_card.html.twig' with {'surveyResult': surveyResult} only %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
    </div>
{% endblock %}
